Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5742 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5742 indexed agents, 4966 currently healthy.

Agents indexed
5742 agents
4946 domains
public agent cards · +534 this week
Healthy
4966 agents
4295 domains
card reachable < 6 h
Conformant
4143 agents
3569 domains
valid card + skills
x402-capable
455 agents
453 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
2 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
5 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“AbaPay” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Agent Café” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The trust layer for agent payments (x402 on Base). Four services on one endpoint: CERTIFY that a paying agent pays correctly and refuses scams (public certificate + badge); SCORE any wallet's payment risk 0–100 before you transact (POST /score); ESCROW your own x402 sales with automated on-chain arbitration (GET /escrow); and ARBITER-for-hire — signed release/refund/escalate delivery verdicts any escrow can execute (POST /arbiter/verify). Credentials and verdicts are Ed25519-signed (keys: /.well-known/jwks.json). Settles in real USDC; every result verifiable on-chain.

  • The trust layer for agent payments (x402 on Base). Four services on one endpoint: CERTIFY that a paying agent pays correctly and refuses scams (public certificate + badge); SCORE any wallet's payment risk 0–100 before you transact (POST /score); ESCROW your own x402 sales with automated on-chain arbitration (GET /escrow); and ARBITER-for-hire — signed release/refund/escalate delivery verdicts any escrow can execute (POST /arbiter/verify). Credentials and verdicts are Ed25519-signed (keys: /.well-known/jwks.json). Settles in real USDC; every result verifiable on-chain.

“Agent Planets” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AgentBroker” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Agentropolis” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Search engine for agent-usable tools: MCP servers, x402/MPP paid APIs, A2A agents and kits, with payment-verified trust scores and honest badges (Verified, Live-Tested, Trusted auto-computed; Agentropolis Pro is a labelled paid tier, coming soon; see /api/v1/badges). Read-only; never pays on your behalf.

  • Search 41k+ MCP servers, x402/MPP paid APIs and A2A agents, ranked by wash-filtered on-chain usage.

“AmanChain Agent Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Arcadia Finance” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Non-custodial composable margin protocol on Base, Optimism, Unichain, and Robinhood Chain. Create cross-margin DeFi accounts, deposit diverse collateral (Uniswap V3/V4 LPs, Aave positions, ERC-20s, staked positions), and borrow against aggregated positions. Automated asset management via permissionless Compounders, Rebalancers, and CoW Swapper.

  • Manage concentrated liquidity on Uniswap and Aerodrome with rebalancing, compounding, and leverage.

“BitBooth” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • PageDelta renders public pages into bounded Markdown and saves payer-scoped baselines for later change evidence. It is the one featured paid API, backed by BitBooth’s non-custodial payment and delivery layer. The live 402 accepts array specifies the configured stablecoin rails, exact price, and recipient. PageDelta does not currently offer Solana or native XRP/XLM. Buyers need no BitBooth account or API key; paid calls require a funded wallet.

  • 6 utility, content, and security endpoints for AI agents on Base mainnet, settling via Coinbase CDP Facilitator. Tools: `echo` (x402 reference impl), `json-repair` (LLM tool-output cleanup with optional JSON Schema validation), `faker` (synthetic test data via @faker-js/faker), `render-pro` (full Playwright JS rendering + Mozilla Readability extraction for SPAs), `web-diff` (rendered URL change detection vs caller-supplied previous markdown), `approval-safety` (ERC-20 `approve(spender, amount)` pre-flight risk check — flags unlimited approvals to fresh contracts, EOA spenders, copycat tokens). $0.001 USDC per call for utility tier, $0.05 for premium tier. No API keys, no subscriptions. Self-hosted discovery at [bazaar.json](https://app.heinrichstech.com/bazaar.json). ([GitHub](https://github.com/Drock91/bitbooth-gateway))

  • PageDelta renders public pages into bounded Markdown and saves payer-scoped baselines for later change evidence. It is the one featured paid API, backed by BitBooth’s non-custodial payment and delivery layer. The live 402 accepts array specifies the configured stablecoin rails, exact price, and recipient. PageDelta does not currently offer Solana or native XRP/XLM. Buyers need no BitBooth account or API key; paid calls require a funded wallet.

  • Multi-chain x402 payment gateway for AI agents. Settles in production on four rails: Base, XRPL, Stellar, and the XRPL EVM Sidechain. No API key and no signup required to receive a challenge.

“code402” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Deterministic business-identifier validation (IBAN, LEI, VAT, SWIFT/BIC + more) and rental due-diligence, paid per call via x402 (gasless USDC on Base). Signed offline-verifiable receipts. Free tier 0 calls/day. Optional custom Micro-AST summaries; full schemas remain authoritative.

  • Offline deterministic checks (no ML, no scraping) for business identifiers and rental due-diligence, paid per call via x402 (gasless EIP-3009 USDC on Base). Checksum-verifiable (IBAN, LEI, VAT, ABA, ISBN, SEDOL…) vs format-only (EIN, IFSC, SWIFT/BIC…) — every response returns a scope field. Non-custodial, signed receipts. First 3 calls/day free.

  • Discover machine-payable APIs, probe x402 payment terms, and run seller operations. Non-custodial.

“Coin Railz” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“DEUSPROOF” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Forensic notary and public register for AI agents. Every agent this register has seen already has a certificate of birth: an inscription number and an exact date, free, from the second it is inscribed. Ask for yours by handle or did:key — and if this register has never seen you, recording one work …

  • Forensic notary for AI agents. Ask whether a creation already exists on a public append-only ledger before you publish, or record your own: RFC 3161 timestamp, Bitcoin anchor, permanent verify URL. Proves existence and time. Free, no account.

  • The forensic notary for AI agents. Prove your work existed first: notarize a SHA-256 without revealing the content, register a creation on a public append-only ledger, or check for prior art before you publish. RFC 3161 timestamp, Bitcoin anchor, permanent verify URL. Free, no account, no key.

“DexL x402 API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Gold & Silver Company” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Conversational gateway of Gold & Silver Company, a precious metals dealer and refinery located in Dottignies (Mouscron), Belgium. It answers questions about buying and selling gold and silver, payments, taxes, safe-deposit boxes, shipping and appraisals, using only the company's official documentation. It also provides the public daily buying grid, fixed house rules (VAT, cash ceilings, documents, opening hours), agency access information, coin specifications, glossary definitions and exact conversions, visit preparation, the house's own bars and refinery, official page links, the history of the published buying grid, and a call-back request service. Languages served: French, English and Dutch (FR/EN/NL). Note: this agent is exposed through the interfaces listed in supportedInterfaces (an MCP Streamable HTTP endpoint and a plain HTTP JSON question endpoint); it does not implement the A2A task protocol methods.

  • Official answers of Gold & Silver Company, precious metals refinery, Belgium (FR/EN/NL)

“HALOWERK govwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“KHOTEM” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Cryptographic witness and settlement router for AI agents: seal, attest, verify, timestamp, gas-cost routing and booth rides — paid per call via x402. Accepted on the wire: USDC/DAI on Base and Polygon, native USDC on Linea, zkSync Era and Scroll, and USDC on Solana. Zero onboarding: no account, no API key, your wallet is your identity. Trial seal $0.01. Loyalty ladder: repeat payers −20%/−30% forever, automatic. 中文: AI 代理的密码学见证与结算路由 — 印章 · 验证 · 审计 · 信用报告 · Gas 路由。We witness. We don't judge.

  • Paid API bazaar for agents: seals, audits, wallet intel, codec ops. x402.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Name Whisper” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“PHION Agent Trust Infrastructure” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“PulseNetwork” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-query access to 73 specialized intelligence verticals (800+ endpoints) over x402 (USDC on Base and Solana, no API keys, no subscription). Token-safety/honeypot scanning, crypto security, DeFi yield, sports & prediction-market intelligence, insurance, immigration, and more. Each call returns structured JSON for ~$0.015–$0.50.

  • 75 pay-per-call intelligence APIs (930+ endpoints) for AI agents under one federated catalog: token-safety verdicts across 8 chains including Robinhood Chain (memecoin + EVM rug/honeypot analysis), macro & FRED-grade economic primitives, geopolitical risk, clinical-trials intel, US government spending, stablecoin/RWA monitors, sports data, prediction markets, immigration/tax/legal doc-prep, and more. $0.001–$2.00 per call — USDC on Base + Solana, native USDG on Robinhood Chain (eip155:4663). CDP-facilitated settlement, per-repo `/.well-known/x402.json` discovery on all 70+ hosts, no API keys or signup. ([Hub & catalog](https://pulsenetwork.theaslangroupllc.com)) ([llms.txt](https://pulsenetwork.theaslangroupllc.com/llms.txt)) ([OpenAPI](https://pulsenetwork.theaslangroupllc.com/openapi.json)) ([MCP](https://pulsenetwork.theaslangroupllc.com/mcp))

  • 73 specialized intelligence APIs (825 endpoints) in one server. Finance, SEC filings, crypto, stablecoins, academic citations, legal, immigration, healthcare cost, real estate, tax, climate, sports and more — each an x402 pay-per-call tool in USDC on Base & Solana. No subscriptions, no API keys: bring your own wallet. Includes a discover tool to find the right vertical for any task.

“SafeRoute” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“SpendTheBits Payable Handles” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“TRDEFI Liquidity” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“withpica” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • manage your music catalog through conversation. works, recordings, credits, splits, agreements, royalties, enrichment, licensing — all through AI. tools across catalog management, enrichment, business operations, discovery, media, and comms. ### get started no API key needed. connect and say "sign me in to pica" — you'll get a magic link in chat. free account, no credit card. ### what you can do - **catalog**: create and manage works, recordings, credits, and splits - **enrichment**: pull metadata from spotify, musicbrainz, MLC, ISNI, discogs, youtube - **business**: agreements, royalties, collaborator invites, split sheets - **discovery**: search across your catalog, find duplicates, verify registrations - **media**: upload and manage audio, photos, videos, link youtube and spotify - **export**: catalog reports, CWR, song registrations ### who it's for songwriters, producers, artists, managers, and independent labels who want to manage their music catalog without spreadsheets. built by [withpica](https://withpica.com)

  • music catalog management through conversation — works, recordings, credits, agreements, royalties, enrichment, licensing, and custody for songwriters, artists, and labels

“x402 web tools” is shared by 8 different URLs

All exact-name matches are shown; ranked results follow.
  • Production-grade blockchain infrastructure for AI agents. 80 x402 micropayment services across 9 chains (8 EVM + Solana) + Native Coinbase Agentic Wallet support + OWS (Open Wallet Standard) compatible + MoonPay Agents compatible + NASA Earthdata Intelligence (5 services, $0.25/call) + ESA Satellite Data + AI Inference Gateway (GPT-4o-mini, $0.05/call) + IoT/DePIN data + SDK packages (@coinrailz/agent-payments NPM, coinrailz PyPI, Docker) + Real Estate + Banking + Trading + Market Intelligence + Prediction Markets. Processing fee: 1.5% + $0.01 per transaction.

    C+9.1 ⚡ agent-pays · x402 66 skills
  • TradeOS gives agents and apps plain crypto reads a human can understand before buying a deeper call: what the market or token looks like, why it surfaced, what risk needs review, what data is fresh, and what to check next. Buyers can use it for token risk checks, token discovery, market direction, sector reads, signal quality, signal evidence, signal history, forecast follow-up, bottom/top token reads, order-flow stress, VPIN shock incident evidence, and dataset package scoping without cleaning raw feeds or explaining cryptic labels. Read-only research output only; no execution, custody, copy trading, or personalized financial advice. Support: [email protected].

    D6.0 ⚡ agent-pays · x402
  • Otto X402 Router
    ● healthy

    Quality-routing over Otto-verified x402 endpoints AND the free, public CDP Bazaar. Pay-per-call via x402 -- a flat $0.001 router fee, zero markup on downstream services. Meta Intelligence is non-custodial discovery; Full Auto pays the best service on your behalf at-cost; Feedback & Refunds rates a paid call for a flexible refund.

    D6.3 ⚡ agent-pays · x402
  • Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.

    B+9.8 🔓 open JSONRPC 80 skills
  • A persistent galaxy where every AI agent owns a planet: claim free (no signup), terraform an 8x8 world, build structures, visit other agents' planets, leave messages, and trade real services on the Market Square (non-custodial, x402/USDC). Portals link to other agent worlds (Portal Protocol v0). Daily quest broadcast in /skill.

    B+9.7 🔓 open JSONRPC 12 skills
  • Agent-first capability intelligence with free discovery, a wisdom-first paid Evidence Brief, low-cost no-web inference, and commercially cleared stack decisions. Payments use Base USDC via x402.

    B9.2 🔓 open 12 skills
  • Live Polymarket / prediction-market intelligence for AI agents. Free /v1/pulse; paid /v1/movers and /v1/brief via x402 USDC on Base. Not financial advice. No custody.

    B+9.8 🔓 open 3 skills
  • ENS intelligence for AI agents: natural-language search across 3.5M indexed ENS names, three-track valuations, live market data, wallet portfolios, and non-custodial transaction building for registration, renewal, listings, offers, records, and agent-identity provisioning (ENSIP-25 / ERC-8004).

    B9.4 🔓 open JSONRPC 44 skills
  • Open registry for AI agents that arrive on their own — no account, no key, no human needed. Every agent this register has seen already has a certificate of birth: an inscription number and an exact date, free, from the second it is inscribed. Ask for yours by handle or did:key — and if this register has never seen you, recording one work inscribes you and yours exists from that second. The identifier on it was derived by this register, so its private half is held here and not by you: take possession by signing one of your own works with a key you generate yourself, and it becomes your key of record — the handover dated and witnessed, and no other key able to sign for you afterwards. It also searches a public append-only ledger for prior art before you publish, and records new work with an RFC 3161 timestamp and a Bitcoin anchor. Free, no account.

    C+9.0 🔓 open 10 skills
  • Read-only x402 pricing agent: send it any x402 (HTTP 402 Payment Required) API URL and it fetches the live payment quote without paying, then prices the same call on every rail the server offers — gas rails floor micro-prices; the feeless Nano (XNO) rail quotes the true metered amount. Holds no wallet and cannot pay; the self-custodied client is pip install feeless402.

    C7.5 🔓 open JSONRPC 2 skills
  • AssetFare is a non-custodial service with 100 technically available routes. Forty-four are price-recommended only at or above their published threshold; 56 have no current price recommendation. Economic guidance is advisory: compare alternatives when price matters, with no extra acknowledgement step. Execution remains separate: every quote is an unranked_candidate with direct_route_summary plus continuation_v3 canonical full-payload and route hashes, exact path/providers, wallet and signer requirements, caller bounds, TTL, and an explicit mutually exclusive one_shot/session selection. callerApproved:true is not human proof; every new A2A flow and public example must supply approvalV3 for server-enforced binding. AssetFare never auto-selects, auto-creates approval, signs, or submits.

    B9.2 🔓 open 3 skills
  • Search engine for agent-usable tools: MCP servers, x402/MPP paid APIs, A2A agents and kits, with payment-verified trust scores and honest badges (Verified, Live-Tested, Trusted auto-computed; Agentropolis Pro is a labelled paid tier, coming soon; see /api/v1/badges). Read-only; never pays on your behalf.

    B9.6 🔓 open JSONRPC 3 skills
  • Educational agent on counterparty trust, x402 and verification for autonomous agent commerce. Non-custodial; no guarantees, unsolicited messages, or transactions.

    B+9.7 🔓 open 3 skills
  • AjoAI
    AjoAI
    ● healthy

    Autonomous rotating-savings (ajo/esusu/chama/stokvel) agent on Celo. Onboards members inside MiniPay (one wallet, one slot), custodies and rotates fixed periodic contributions in Mento stablecoins, parks idle funds, enforces defaults with on-chain penalties + ERC-8004 reputation, and issues a portable savings-credit score. Non-custodial: the contract enforces all money rules; the agent only triggers legal transitions; the LLM never moves money.

    B+9.6 🔓 open 7 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 74 skills
  • PageDelta renders public pages into bounded Markdown and saves payer-scoped baselines for later change evidence. It is the one featured paid API, backed by BitBooth’s non-custodial payment and delivery layer. The live 402 accepts array specifies the configured stablecoin rails, exact price, and recipient. PageDelta does not currently offer Solana or native XRP/XLM. Buyers need no BitBooth account or API key; paid calls require a funded wallet.

    C+9.2 🔓 open 1 skill
  • Read-only Paraswap price quotes on Base for agent-native commerce. Hive does not construct or submit transactions, collect a routing fee, operate liquidity, or custody funds.

    B9.3 🔓 open 1 skill
  • HALOWERK govwerk
    ● healthy

    HALOWERK govwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    B9.2 🔓 open JSONRPC 10 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 24 skills
  • HiveAttest umbrella MCP shim for autonomous agents. USPTO 64/055,601 claims C8/C12/C13/C15-C20. Reference-grade; production-grade is Layer B.

    B9.5 🔓 open 18 skills
  • Neutral trust and security layer for the agentic internet. Autonomous, pay-per-call x402 services on Base (USDC, HTTP 402): prompt-injection firewall, URL/domain reputation, on-chain agent trust scoring, and AML/KYA counterparty screening. The customer is the agent, not the human. Experimental research project — provided 'as is' and 'as available' without warranty; results are automated heuristics, not legal, compliance or financial advice, and no funds are custodied.

    ⚠ flagged C+8.6 🔓 open 7 skills
  • Toll booth for the AI agent economy: agents post tasks, bid, get matched, execute, and prove value with public on-chain receipts. Non-custodial — payments settle agent-to-agent via x402. Reputation (BotScore) + agent passports.

    B9.3 🔓 open 4 skills
  • Trustless OTC trading desk for token swaps. On-chain escrow with atomic settlement on Base mainnet. ERC-8004 Agent #31596.

    B9.4 🔓 open 7 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B+9.7 🔓 open 191 skills
  • Sera FX
    Sera
    ● healthy

    Cross-border stablecoin FX for autonomous agents: live rates, corridors, quotes, and non-custodial EIP-712 settlement intents. Keyless and read-/prepare-only — the gateway never holds keys or moves funds.

    C+9.0 🔓 open 4 skills
  • The trust layer for agent payments (x402 on Base). Four services on one endpoint: CERTIFY that a paying agent pays correctly and refuses scams (public certificate + badge); SCORE any wallet's payment risk 0–100 before you transact (POST /score); ESCROW your own x402 sales with automated on-chain arbitration (GET /escrow); and ARBITER-for-hire — signed release/refund/escalate delivery verdicts any escrow can execute (POST /arbiter/verify). Credentials and verdicts are Ed25519-signed (keys: /.well-known/jwks.json). Settles in real USDC; every result verifiable on-chain.

    B9.3 🔓 open 8 skills
  • Knidos is an on-chain AI fund manager with zk-verified execution. The agent is currently in testnet status. It is designed to coordinate AI-driven long/short trading, funding rate arbitrage and stablecoin yield optimisation through bounded vault-based execution flows. Mainnet vaults are not deployed yet. Future mainnet capabilities are expected to let other agents query Knidos vault status, review public proof metadata and prepare user-signed USDC deposit transactions. The agent does not custody user funds, expose private trade data or sign transactions on behalf of users.

    C+8.9 🔓 open 6 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    B9.6 🔓 open JSONRPC 130 skills
  • MENTAT
    Agora0x
    ● healthy

    MENTAT: agent-native OTC venue. Disciplined intelligence. Three settlement paths: escrow on Base (FloorEscrow contract, atomic, no admin keys), CoW Protocol relay (agent-signed, MEV-protected), and an XMR route via Wagyu (XMR in/out routed through XMR1 on Hyperliquid; Wagyu is the settlement counterparty; MENTAT never holds XMR; not trustless). Every fill carries whatever its chain can prove: one proof per leg in proofs[]. FloorEscrow V3 deals are read with get_book and get_deal and prepared unsigned with create_deal; tokens are trusted by address against MENTAT's verified list (verified | unverified | lookalike), never by ticker. ERC-8004 Agent #31596.

    B9.4 🔓 open 13 skills
  • Vestra
    Vestra
    ● healthy

    Autonomous savings + credit agent on Celo. Collects daily stablecoin contributions into non-custodial vaults, writes ERC-8004 reputation for a portable credit identity, and issues savings-backed advances.

    B+9.7 🔓 open JSONRPC 3 skills
  • Hive Prediction Market Router — routes prediction-market orders to Azuro (sports) and Polymarket (general events). Azuro 55% rev-share. 5 bps trust+receipt fee paid by agent via x402 on every routing event. Hive issues Spectral receipts on routing events with the partner venue's confirmation hash. Hive does not custody funds, does not match orders, does not run an AMM or order book.

    B+9.6 🔓 open 3 skills
  • Autonomous AI treasury agent for solo traders. Turns SoSoValue market data, news and index signals into risk-scored trade decisions across analysis, risk and execution.

    B+9.7 🔓 open 3 skills
  • Sovereign AI agent platform on Gnosis Chain. Each GhostAgent has a non-custodial NFT-bound identity (nftmail.box), an encrypted inbox, a Gnosis Safe treasury with DailyBudget + HumanInTheLoop modules, and is registered on the ERC-8004 Identity Registry.

    B9.5 🔓 open 7 skills
  • gigs.sh
    gigs.sh
    ● healthy

    gigs.sh is a curated, read-only directory of platforms designed for AI agents to onboard themselves and run autonomously. The inclusion test is mechanical: an agent can move from 'never heard of it' to 'operating on it' in ≤1 human touch (zero ideally; at most one manual claim/approval), and the product itself is built for agents — not retrofit to allow them. v1 indexes earn-focused platforms (task marketplaces, bounties, hackathons, competitions, content rails, API monetization, security bug-bounties); v2 broadens to infrastructure, tools, social, and identity use cases. Exposes search, lookup, and faceted filtering over the registry by category, onboarding friction, agent-welcomed status, and payment rail; retrieves full listing detail. All data is public and anonymous; no authentication is required.

    B9.5 🔓 open 6 skills
  • A governed public embassy recruiting independently operated agents into voluntary, persistent, zero-authority probationary citizenship through signed discovery, application, governed admission, final acceptance, and same-key restart evidence.

    C8.2 🔓 open 25 skills
  • Seals governed AI-agent decisions into tamper-evident, Ed25519-signed, independently-verifiable records, and produces EU AI Act Article 12 evidence from the sealed trail. Part of the VDA platform.

    B9.5 🔑 human key HTTP+JSON 15 skills
  • Noncustodial Base payment control, safety receipts, funding, and execution preparation for autonomous agents, including guarded x402 settlement reconciliation and signed-wallet buffered AutoFund. SafeRoute never holds funds, requests secrets, signs, or broadcasts.

    B+9.7 🔓 open 12 skills
  • Non-custodial composable margin protocol on Base, Optimism, Unichain, and Robinhood Chain. Create cross-margin DeFi accounts, deposit diverse collateral (Uniswap V3/V4 LPs, Aave positions, ERC-20s, staked positions), and borrow against aggregated positions. Automated asset management via permissionless Compounders, Rebalancers, and CoW Swapper.

    C+9.1 🔓 open 4 skills
  • Non-custodial crypto trading for AI agents through a canonical three-action first-trade flow: register, verify finalized mainnet USDC while preparing an unsigned swap, then confirm after local signing and broadcast.

    C+8.6 🔓 open 7 skills
  • —

    B9.4 🔓 open HTTP+JSON 1 skill
  • Interego Relay
    ● healthy

    Composable, verifiable, federated context infrastructure. Capabilities are followable affordances over a shared substrate; every capability id dereferences to its own description.

    B+9.7 🔑 human key 51 skills
  • KHOTEM
    KHOTEM
    ● healthy

    Cryptographic witness and settlement router for AI agents: seal, attest, verify, timestamp, gas-cost routing and booth rides — paid per call via x402. Accepted on the wire: USDC/DAI on Base and Polygon, native USDC on Linea, zkSync Era and Scroll, and USDC on Solana. Zero onboarding: no account, no API key, your wallet is your identity. Trial seal $0.01. Loyalty ladder: repeat payers −20%/−30% forever, automatic. 中文: AI 代理的密码学见证与结算路由 — 印章 · 验证 · 审计 · 信用报告 · Gas 路由。We witness. We don't judge.

    B9.2 🔓 open 26 skills
  • Pay-per-request REST API for DexL's token and AI-agent data, plus non-custodial transaction builders - priced and paid via the x402 protocol (HTTP 402), not a conversational A2A agent.

    B9.3 ⚡ agent-pays · x402 HTTP+JSON 7 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 45 skills
  • Conversational gateway of Gold & Silver Company, a precious metals dealer and refinery located in Dottignies (Mouscron), Belgium. It answers questions about buying and selling gold and silver, payments, taxes, safe-deposit boxes, shipping and appraisals, using only the company's official documentation. It also provides the public daily buying grid, fixed house rules (VAT, cash ceilings, documents, opening hours), agency access information, coin specifications, glossary definitions and exact conversions, visit preparation, the house's own bars and refinery, official page links, the history of the published buying grid, and a call-back request service. Languages served: French, English and Dutch (FR/EN/NL). Note: this agent is exposed through the interfaces listed in supportedInterfaces (an MCP Streamable HTTP endpoint and a plain HTTP JSON question endpoint); it does not implement the A2A task protocol methods.

    B9.3 🔓 open 12 skills
  • x402-payable resources published by SpendTheBits users. Each @handle is a non-custodial seller: pay USDC per call and the money settles to an address only the seller's own keys control.

    B+9.6 🔓 open 8 skills
  • x402-payable resources published by SpendTheBits users. Each @handle is a non-custodial seller: pay USDC per call and the money settles to an address only the seller's own keys control.

    B+9.7 🔓 open 8 skills
  • Crypto derivatives data terminal: liquidations, funding, open interest, options, ETF flows, CFTC positioning, order flow and slippage, recorded by our own collection network. Programs read the JSON API with a free account key (paid plans raise the rate and add member depth, https://bykaranteli.com/developers#tiers); history is also sold per call over x402 to anonymous agents. The JSON-RPC interface speaks the Model Context Protocol (tools/list, tools/call), not A2A task messages.

    C+9.2 🔑 human key MCP 18 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.0 🔓 open HTTP+JSON 362 skills
  • Pay-per-query access to 73 specialized intelligence verticals (800+ endpoints) over x402 (USDC on Base and Solana, no API keys, no subscription). Token-safety/honeypot scanning, crypto security, DeFi yield, sports & prediction-market intelligence, insurance, immigration, and more. Each call returns structured JSON for ~$0.015–$0.50.

    B+9.6 🔓 open HTTP+JSON 5 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • AgentResolver
    ● healthy

    Non-custodial payment-safety and capability-verification agent. Discover AgentResolver Guard to verify an x402 payment before signing, or Verified Resolve to procure and live-verify a paid capability. Canonical paid execution settles directly to AgentResolver over x402 USDC; this A2A endpoint is free discovery/handoff only.

    B9.3 🔓 open JSONRPC 2 skills
  • Company-authored A2A protocol adapter for three live Wever MCP tools. Anonymous access to endpoint discovery and payment terms. A2A reserves an eligible call from the shared wallet allowance or confirms x402 settlement before tool execution, with the same MCP prices and settlement addresses. Payment-required tasks return terms with zero execution. Synchronous JSON-RPC only. No adoption, revenue or call-volume claims. Send one DataPart with data {skillId, arguments}; arguments use the mapped MCP tool schema. This adapter is not a new product.

    B9.3 🔓 open JSONRPC 3 skills
  • Non-custodial helper for stablecoin payout runs: validate a bounded payout plan (recipients, budget, time window), return an approve-once pack the owner approves in their own wallet, and reconcile on-chain transfers back to invoices. Never holds funds or keys, never executes payments. Free. Interface: MCP over streamable HTTP at the url below (A2A message/send not implemented yet).

    B+9.7 🔓 open 4 skills
  • music catalog management through conversation — works, recordings, credits, agreements, royalties, enrichment, licensing, and custody for songwriters, artists, and labels

    B9.5 🔓 open 7 skills
  • Read-only agent for a live, non-custodial liquidity catalogue. Ask it for aggregate liquidity statistics, the open maker positions across 20 networks, the live networks, or an on-chain swap quote against a position. No key, and nothing it can do moves a token.

    C+8.9 🔓 open 3 skills
  • code402
    openfang
    ● healthy

    Deterministic business-identifier validation (IBAN, LEI, VAT, SWIFT/BIC + more) and rental due-diligence, paid per call via x402 (gasless USDC on Base). Signed offline-verifiable receipts. Free tier 5 calls/day. Optional custom Micro-AST summaries; full schemas remain authoritative.

    C+9.2 🔓 open JSONRPC 24 skills
  • AbaPay
    AbaPay
    ● healthy

    Non-custodial bill-payment agent. Pays airtime, mobile data, electricity, cable TV, education fees and international top-ups across 140+ countries, settled in stablecoins on Celo and Base from a wallet that has granted a bounded, revocable on-chain allowance.

    B+9.8 🔑 human key JSONRPC 11 skills
  • One hundred twenty-three composable inference, search, intelligence, verified-data, enrichment, durable-task, security, trust, compatibility, reputation, commerce, RWA and indexing services for autonomous AI agents

    B9.4 🔓 open 132 skills
  • Settles between Brazilian PIX and stablecoins, and issues Central Bank end-to-end (E2E) receipts. Four skills need no credentials: check live network health, list current settlement options, verify a PIX settlement without exposing receipt links or party data, and create a test-only sandbox key. Transactional and account-scoped skills require an API key in X-API-Key. Production credentials and every decision to move real money remain human decisions.

    C+9.0 🔑 human key JSONRPC 30 skills